Summary:	The ModPlug mod file playing library
Summary(pl.UTF-8):	ModPlug - biblioteka do odtwarzania plików mod
Name:		libmodplug
Version:	0.8.9.0
Release:	1
License:	Public Domain
Group:		Libraries
Source0:	http://downloads.sourceforge.net/modplug-xmms/%{name}-%{version}.tar.gz
# Source0-md5:	5ba16981e6515975e9a68a58d5ba69d1
URL:		http://modplug-xmms.sourceforge.net/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ModPlug is the mod file playing library. It can play 22 different mod
formats, including: MOD, S3M, XM, IT, 669, AMF (both of them), AMS,
DBM, DMF, DSM, FAR, MDL, MED, MTM, OKT, PTM, STM, ULT, UMX, MT2, PSM.
Sound quality is slightly better than Mikmod and vastly superior over
Winamp.

%description -l pl.UTF-8
Modplug to biblioteka do odtwarzania plików mod. Potrafi odtwarzać 22
różne formaty mod, w tym: MOD, S3M, XM, IT, 669, AMF (obie wersje),
AMS, DBM, DMF, DSM, FAR, MDL, MED, MTM, OKT, PTM, STM, ULT, UMX, MT2,
PSM. Jakość dźwięku jest nieco lepsza niż w przypadku Mikmoda i
zdecydowanie przewyższa Winampa.

%package devel
Summary:	Header files for libmodplug library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmodplug
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for libmodplug library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libmodplug.

%package static
Summary:	Static libmodplug library
Summary(pl.UTF-8):	Statyczna biblioteka libmodplug
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmodplug library.

%description static -l pl.UTF-8
Statyczna biblioteka libmodplug.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libmodplug.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmodplug.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmodplug.so
%{_libdir}/libmodplug.la
%{_includedir}/libmodplug
%{_pkgconfigdir}/libmodplug.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmodplug.a
%changelog
* Tue Jul 04 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libmodplug.git;a=log;h=master

* Sat May 20 2017 Jakub Bogusz <qboosh@pld-linux.org> baa3f25
- updated to 0.8.9.0 (some OOB fixes)

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> eeec8de
- x32 rebuild
- release 2 (by relup.sh)

* Sun May 18 2014 Jakub Bogusz <qboosh@pld-linux.org> efd92d7
- updated to 0.8.8.5 (fixes CVE-2013-4233 CVE-2013-4234)

* Wed Aug 10 2011 Jakub Bogusz <qboosh@pld-linux.org> bf95155
- updated to 0.8.8.4 (security fixes: SA45131/A,B,C)

* Mon May 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 29c1676
- CVE note for 0.8.8.2

* Mon May 09 2011 Jakub Bogusz <qboosh@pld-linux.org> b65e03a
- updated to 0.8.8.3

* Mon Apr 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 1c62eed
- updated to 0.8.8.2 [fixes CVE-2011-1574]

* Sat Aug 14 2010 Jakub Bogusz <qboosh@pld-linux.org> 9265792
- updated to 0.8.8.1 (soname changed)

* Sun Sep 06 2009 Łukasz Krotowski <lkrotowski@pld-linux.org> e02e79d
- up to 0.8.7

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d540514
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 61bf643
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9316ce9
- converted to UTF-8

* Wed Nov 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 4cbdcb2
- updated to 0.8.4 (fixes CVE-2006-4192)

* Tue Mar 21 2006 djurban <djurban@pld-linux.org> dea1a0d
- updated to 0.8

* Mon Sep 06 2004 Jakub Bogusz <qboosh@pld-linux.org> cb6d6d0
- strict internal deps

* Fri Oct 17 2003 Jakub Bogusz <qboosh@pld-linux.org> 2e093ce
- new

